#English strings go here for Rails i18n
ms:
  plugin_openproject_two_factor_authentication:
    name: "OpenProject Two-factor authentication"
    description: >-
      This OpenProject plugin authenticates your users using two-factor authentication by means of one-time password through the TOTP standard (Google Authenticator) or sent to the user's cell phone via SMS or voice call.
  activerecord:
    attributes:
      two_factor_authentication/device:
        identifier: "Pengenal"
        default: "Guna sebagai default"
      two_factor_authentication/device/sms:
        phone_number: "Nombor telefon"
    errors:
      models:
        two_factor_authentication/device:
          default_already_exists: "sudah ditetapkan untuk peranti OTP lain."
        two_factor_authentication/device/sms:
          attributes:
            phone_number:
              error_phone_number_format: "perlu dalam format +XX XXXXXXXXX"
    models:
      two_factor_authentication/device: "Peranti 2FA "
      two_factor_authentication/device/sms: "Telefon bimbit"
      two_factor_authentication/device/totp: "Authenticator application"
      two_factor_authentication/device/webauthn: "WebAuthn"
  two_factor_authentication:
    error_2fa_disabled: "Penghantaran 2FA telah dimatikan."
    error_no_device: "Tiada peranti 2FA berdaftar yang dijumpai untuk pengguna ini, walaupun diperlukan untuk keadaan ini."
    error_no_matching_strategy: "Tiada strategi 2FA yang tersedia untuk pengguna ini. Sila hubungi pentadbir anda."
    error_is_enforced_not_active: "Configuration error: Two-factor authentication has been enforced, but no active strategies exist."
    error_invalid_backup_code: "Kod sokongan 2FA tidak sah"
    channel_unavailable: "Saluran penghantaran %{channel} tidak tersedia."
    no_valid_phone_number: "Tiada nombor telefon yang sah wujud."
    label_pwd_confirmation: "Kata Laluan"
    notice_pwd_confirmation: "Anda perlu mengesahkan kata laluan anda apabila membuat perubahan kepada seting ini."
    label_device_type: "Jenis peranti"
    label_default_device: "Peranti default 2FA "
    label_device: "Peranti 2FA "
    label_devices: "Peranti 2FA "
    label_one_time_password: "Kata laluan satu kali"
    label_2fa_enabled: "Pengesahan dua faktor aktif"
    label_2fa_disabled: "Pengesahan dua faktor tidak aktif"
    text_otp_delivery_message_sms: "Kata laluan satu kali %{app_title} anda adalah %{token}"
    text_otp_delivery_message_voice: "Kata laluan satu kali %{app_title} anda adalah: %{pause} %{token}. Saya ulang: %{pause} %{token}"
    text_enter_2fa: "Sila masukkan kata laluan satu kali daripada peranti anda."
    text_2fa_enabled: "Setiap kali log masuk, anda akan diminta untuk memasukkan token OTP daripada peranti 2FA asas anda."
    text_2fa_disabled: "Untuk membolehkan pengesahan dua faktor, guna butang di atas untuk daftar peranti 2FA yang baru. Jika anda sudah mempunyai peranti, anda perlu menjadikannya default."
    login:
      enter_backup_code_title: Masukkan kod sokongan
      enter_backup_code_text: Sila masukkan kod sokongan yang sah daripada senarai kod anda sekiranya anda tidak lagi dapat mengakses peranti 2FA berdaftar anda.
      other_device: "Guna peranti lain atau kod sokongan"
    settings:
      title: "Seting 2FA"
      current_configuration: "Konfigurasi semasa"
      label_active_strategies: "Active 2FA strategies"
      label_enforced: "Enforce 2FA"
      label_remember: "Ingat log masuk 2FA"
      text_configuration: |
        Note: These values represent the current application-wide configuration. You cannot disable settings enforced by the configuration or change the current active strategies, since they require a server restart.
      text_configuration_guide: Untuk maklumat lanjut, sila semak panduan konfigurasi.
      text_enforced: "Enable this setting to force all users to register a 2FA device on their next login. Can only be disabled when not enforced by configuration."
      text_remember: |
        Set this to greater than zero to allow users to remember their 2FA authentication for the given number of days.
        They will not be requested to re-enter it during that period. Can only be set when not enforced by configuration.
      error_invalid_settings: "The 2FA strategies you selected are invalid"
      failed_to_save_settings: "Failed to update 2FA settings: %{message}"
    admin:
      self_edit_path: "To add or modify your own 2FA devices, please go to %{self_edit_link}"
      self_edit_link_name: "Two-factor authentication on your account page"
      self_edit_forbidden: "You may not edit your own 2FA devices on this path. Go to My Account > Two factor authentication instead."
      no_devices_for_user: "No 2FA device has been registered for this user."
      all_devices_deleted: "All 2FA devices of this user have been deleted"
      delete_all_are_you_sure: "Adakah anda pasti anda ingin membuang semua peranti 2FA untuk pengguna ini?"
      button_delete_all_devices: "Buang peranti 2FA berdaftar"
      button_register_mobile_phone_for_user: "Daftar telefon bimbit"
      text_2fa_enabled: "Setiap kali log masuk, pengguna ini akan diminta untuk memasukkan token OTP daripada peranti 2FA asas mereka."
      text_2fa_disabled: "Pengguna ini tidak menyediakan peranti 2FA melalui 'Laman akaun saya'"
      only_sms_allowed: "Only SMS delivery can be set up for other users."
    upsale:
      title: "Pengesahan dua faktor"
      description: "Strenghten the security of your OpenProject instance by offering (or enforcing) two-factor authentification to all project members."
    backup_codes:
      none_found: No backup codes exist for this account.
      singular: Kod sokongan
      plural: Kod sokongan
      your_codes: untuk %{login} akaun %{app_name} anda
      overview_description: |
        If you are unable to access your two factor devices, you can use a backup code to regain access to your account.
        Use the following button to generate a new set of backup codes.
      generate:
        title: Hasilkan kod sokongan
        keep_safe_as_password: "Penting! Perlakukan kod-kod ini sebagai kata laluan."
        keep_safe_warning: "Either save them in your password manager, or print this page and put in a safe place."
        regenerate_warning: "Amaran: Jika anda telah mencipta kod sandaran sebelum ini, mereka akan dibatalkan dan tidak akan berfungsi lagi."
    devices:
      add_new: "Tambah peranti 2FA baharu"
      register: "Daftar peranti"
      confirm_default: "Sahkan perubahan peranti asal"
      confirm_device: "Sahkan peranti"
      confirm_now: "Tidak disahkan, klik sini untuk mengaktifkan"
      cannot_delete_default: "Tidak boleh buang peranti default"
      make_default_are_you_sure: "Adakah anda pasti anda ingin membuat peranti 2FA ini peranti default anda?"
      make_default_failed: "Gagal mengemas kini peranti default 2FA."
      deletion_are_you_sure: "Adakah anda pasti hendak memadam peranti 2FA ini?"
      registration_complete: "Pendaftaran peranti 2FA selesai!"
      registration_failed_token_invalid: "Pendaftaran peranti 2FA gagal, token berikut tidak sah."
      registration_failed_update: "Pendaftaran peranti 2FA gagal, token berikut adalah sah tetapi peranti tidak boleh dikemas kini."
      confirm_send_failed: "Pengesahan peranti 2FA gagal."
      button_complete_registration: "Lengkapkan pendaftaran 2FA"
      text_confirm_to_complete_html: "Sila lengkapkan pendaftaran peranti <strong>%{identifier}</strong> anda dengan memasukkan kata laluan satu kali dari peranti default anda."
      text_confirm_to_change_default_html: "Sila sahkan perubahan peranti default ke <strong>%{new_identifier}</strong> dengan memasukkan kata laluan satu kali dari peranti default semasa anda."
      text_identifier: "Anda boleh berikan peranti pengecam tersuai menggunakan medan ini."
      failed_to_delete: "Gagal untuk memadam peranti 2FA."
      is_default_cannot_delete: "The device is marked as default and cannot be deleted due to an active security policy. Mark another device as default before deleting."
      not_existing: "Tiada peranti 2FA yang berdaftar untuk akaun anda."
      2fa_from_input: Please enter the code from your <strong>%{device_name}</strong> to verify your identity.
      2fa_from_webauthn: Please provide the WebAuthn device <strong>%{device_name}</strong>. If it is USB based make sure to plug it in and touch it. Then click the sign in button.
      webauthn:
        title: "WebAuthn"
        description: Use Web Authentication to register a FIDO2 device (like a YubiKey) or the secure enclave of your mobile device as a second factor.
        further_steps: After you have chosen a name, you can click the Continue button. Your browser will prompt you to present your WebAuthn device. When you have done so, you are done registering the device.
      totp:
        title: "Use your app-based authenticator"
        provisioning_uri: "Provisioning URI"
        secret_key: "Secret key"
        time_based: "Time based"
        account: "Account name / Issuer"
        setup: |
          For setting up two-factor authentication with Google Authenticator, download the application from the Apple App store or Google Play Store.
          After opening the app, you can scan the following QR code to register the device.
        question_cannot_scan: |
          Tidak dapat mengimbas kod menggunakan aplikasi anda?
        text_cannot_scan: |
          Jika anda tidak dapat mengimbas kod, anda boleh memasukkan entri secara manual dengan menggunakan butiran berikut:
        description: |
          Register an application authenticator for use with OpenProject using the time-based one-time password authentication standard.
          Common examples are Google Authenticator or Authy.
      sms:
        title: "Guna telefon bimbit anda"
        redacted_identifier: "Peranti (%{redacted_number})"
        request_2fa_identifier: "%{redacted_identifier}, kami telah menghantarkan kod pengesahan melalui %{delivery_channel}"
        description: |
          Daftar nombor telefon bimbit anda untuk penghantaran kata laluan satu kali OpenProject.
    sns:
      delivery_failed: "Penghantaran SNS gagal:"
    message_bird:
      sms_delivery_failed: "MessageBird SMS delivery failed."
      voice_delivery_failed: "Panggilan suara MessageBird gagal."
    strategies:
      totp: "Authenticator application"
      sns: "Amazon SNS"
      resdt: "SMS Rest API"
      webauthn: "WebAuthn"
    mobile_transmit_notification: "Kata laluan satu kali telah dihantar ke telefon bimbit anda."
    label_two_factor_authentication: "Pengesahan dua faktor"
    forced_registration:
      required_to_add_device: "An active security policy requires you to enable two-factor authentication. Please use the following form to register a device."
    remember:
      active_session_notice: >
        Your account has an active remember cookie valid until %{expires_on}. This cookie allows you to log in without a second factor to your account until that time.
      other_active_session_notice: Your account has an active remember cookie on another session.
      label: "Ingat"
      clear_cookie: "Klik sini untuk buang semua sesi 2FA yang diingati."
      cookie_removed: "All remembered 2FA sessions have been removed."
      dont_ask_again: "Create cookie to remember 2FA authentication on this client for %{days} days."
  field_phone: "Telefon bimbit"
  field_otp: "Kata laluan satu kali"
  notice_account_otp_invalid: " Kata laluan satu kali tidak sah."
  notice_account_otp_expired: "Kata laluan satu kali yang anda masukkan telah tamat tempoh."
  notice_developer_strategy_otp: "Developer strategy generated the following one-time password: %{token} (Channel: %{channel})"
  notice_account_otp_send_failed: "Kata laluan satu kali anda tidak dapat dihantar."
  notice_account_has_no_phone: "Tiada nombor telefon bimbit yang berkaitan dengan akaun anda."
  label_expiration_hint: "%{date} atau pada log keluar"
  label_actions: "Tindakan"
  label_confirmed: "Disahkan"
  button_continue: "Seterusnya"
  button_make_default: "Tanda sebagai default"
  label_unverified_phone: "Telefon bimbit belum disahkan lagi"
  notice_phone_number_format: "Sila masukkan nombor dalam format berikut: +XX XXXXXXXX."
  text_otp_not_receive: "Kaedah pengesahan lain"
  text_send_otp_again: "Hantar semula kata laluan satu kali dengan:"
  button_resend_otp_form: "Hantar semula"
  button_otp_by_voice: "Panggilan suara"
  button_otp_by_sms: "SMS"
  label_otp_channel: "Saluran penghantaran"
